#language: ru

@carc

Функционал: 019. CARC. Корректировка долга тары

Сценарий: 019.1. CARC. Корректировка долга тары - Списание долга
	
	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2КорректировкаДолгаТары" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки долга тары'
	Тогда открылось окно 'Корректировки долга тары'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Корректировка долга тары (создание)'
	И из выпадающего списка "Тип корректировки" я выбираю по строке 'Списание долга'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Ашан(продажа тары)'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан(продажа тары)'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Добавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Пластиковый палет'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '15,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Корректировка долга тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Корректировки долга тары'
	И Я закрываю окно 'Корректировки долга тары'

Сценарий: 019.2. CARC. Корректировка долга тары - Увеличение долга

	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки долга тары'
	Тогда открылось окно 'Корректировки долга тары'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Корректировка долга тары (создание)'
	И из выпадающего списка "Тип корректировки" я выбираю по строке 'Увеличение долга'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Ашан(продажа тары)'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан(продажа тары)'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Добавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Пластиковый палет'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Корректировка долга тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Корректировки долга тары'
	И Я закрываю окно 'Корректировки долга тары'

Сценарий: 019.3. CARC. Завершение

	И Я закрыл все окна клиентского приложения